Deactivate Public Key
Deactivates the public key for payload encryption.
The public key will no longer be used to encrypt payloads sent to the target.
Be aware that deactivating the active key will leave the target without an active key.
Subsequent calls to the target with payload type PAYLOAD_TYPE_JWE will fail until a new key is activated.
This endpoint can be used in break glass scenarios to quickly disable a compromised key.
Deactivating a key that is already inactive is a no-op.
Required permission:
action.target.write
Path Parameters
TargetID is the unique identifier of the target to deactivate the public key for.
KeyID is the unique identifier of the public key to deactivate.
Response Body
application/json
curl -X POST "https://loading/v2/actions/targets/string/publickeys/string/deactivate"{
"changeDate": "2023-01-15T01:30:15.01Z"
}Was this page helpful?
Create Target
Create Target: Create a new target to your endpoint, which can be used in executions. Required permission:
Delete Target
Delete Target: Delete an existing target. This will remove it from any configured execution as well. In case the target is not found, the request will return a successful response as the desired state is already ...